Package net.shibboleth.shared.testing

# Class ShowAutomaticModuleNames.TerminationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.shibboleth.shared.testing.ShowAutomaticModuleNames.TerminationException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ShowAutomaticModuleNames

private static class ShowAutomaticModuleNames.TerminationException extends Exception
Throw one of these to cause the main program to terminate.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Mandatory version UID for any subclass of `Exception`.

## Constructor Summary

Constructors
Constructor
Description
`TerminationException(String message)`
Constructor.
`TerminationException(String message, Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Mandatory version UID for any subclass of `Exception`.

See Also:
  - Constant Field Values

## Constructor Details

### TerminationException

public TerminationException(@Nonnull String message)
Constructor.

Parameters:
  `message` - message describing the reason for termination

### TerminationException

public TerminationException(@Nonnull String message, @Nonnull Throwable cause)
Constructor.

Parameters:
  `message` - message describing the reason for termination
  `cause` - a `Throwable` that was behind the problem